| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
trivial_sar.hpp File Reference
Private

the trivial_sar classes manages the slicing layer when single slice is used More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "header.hpp"`
`#include "path.hpp"`
`#include "integers.hpp"`
`#include "entrepot.hpp"`
`#include "tools.hpp"`
`#include "slice_layout.hpp"`

Go to the source code of this file.

## Classes
class | libdar::trivial_sar

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Functions
std::string | libdar::sar_make_filename (const std::string &base_name, const infinint &num, const infinint &min_digits, const std::string &ext)
| return the name of a slice given the base_name, slice number and extension

## Detailed Description

the trivial_sar classes manages the slicing layer when single slice is used

Definition in file trivial_sar.hpp.